reflex::lazy_intersection< S1, S2 >::iterator Struct Reference

|  | reflex::lazy_intersection< S1, S2 >::iterator Struct Reference updated Thu Jun 19 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
reflex::lazy_intersection< S1, S2 >::iterator Struct Reference

Iterator to lazely get elements of a set intersection. More...

`#include <setop.h>`

## Public Member Functions
| iterator (const S1 &s1, const S2 &s2)
| iterator (const typename S1::const_iterator &i1, const typename S2::const_iterator &i2)
const S1::key_type | operator* () const
iterator & | operator++ ()
iterator | operator++ (int)
bool | operator== (const iterator &rhs) const
bool | operator!= (const iterator &rhs) const
void | find ()
void | next ()

## Public Attributes
S1::const_iterator | i1
S1::const_iterator | i1_end
S2::const_iterator | i2
S2::const_iterator | i2_end
S1::key_compare | lt

## Detailed Description

### template<typename S1, typename S2>
struct reflex::lazy_intersection< S1, S2 >::iterator

Iterator to lazely get elements of a set intersection.

## Constructor & Destructor Documentation

template<typename S1, typename S2>

reflex::lazy_intersection< S1, S2 >::iterator::iterator | ( | const S1 & | s1,
|  | const S2 & | s2
| ) |  |
| inline

template<typename S1, typename S2>

reflex::lazy_intersection< S1, S2 >::iterator::iterator | ( | const typename S1::const_iterator & | i1,
|  | const typename S2::const_iterator & | i2
| ) |  |
| inline

## Member Function Documentation

template<typename S1, typename S2>

void reflex::lazy_intersection< S1, S2 >::iterator::find | ( |  | ) |
| inline

template<typename S1, typename S2>

void reflex::lazy_intersection< S1, S2 >::iterator::next | ( |  | ) |
| inline

template<typename S1, typename S2>

bool reflex::lazy_intersection< S1, S2 >::iterator::operator!= | ( | const iterator & | rhs | ) | const
| inline

template<typename S1, typename S2>

const S1::key_type reflex::lazy_intersection< S1, S2 >::iterator::operator* | ( |  | ) | const
| inline

template<typename S1, typename S2>

iterator& reflex::lazy_intersection< S1, S2 >::iterator::operator++ | ( |  | ) |
| inline

template<typename S1, typename S2>

iterator reflex::lazy_intersection< S1, S2 >::iterator::operator++ | ( | int |  | ) |
| inline

template<typename S1, typename S2>

bool reflex::lazy_intersection< S1, S2 >::iterator::operator== | ( | const iterator & | rhs | ) | const
| inline

## Member Data Documentation

template<typename S1, typename S2>

S1::const_iterator reflex::lazy_intersection< S1, S2 >::iterator::i1

template<typename S1, typename S2>

S1::const_iterator reflex::lazy_intersection< S1, S2 >::iterator::i1_end

template<typename S1, typename S2>

S2::const_iterator reflex::lazy_intersection< S1, S2 >::iterator::i2

template<typename S1, typename S2>

S2::const_iterator reflex::lazy_intersection< S1, S2 >::iterator::i2_end

template<typename S1, typename S2>

S1::key_compare reflex::lazy_intersection< S1, S2 >::iterator::lt

The documentation for this struct was generated from the following file:

- setop.h